Xen PV Guests Internally Used Pages Access Handling Guest-to-Host Privilege Escalation (XSA-248)

This script is Copyright (C) 2017-2018 Tenable Network Security, Inc.


Synopsis :

The remote Xen hypervisor installation is missing a security update.

Description :

According to its self-reported version number, the Xen hypervisor
installed on the remote host is affected by a guest-to-host privilege
escalation vulnerability.

Note that Nessus has checked the changeset versions based on the
xen.git change log. Nessus did not check guest hardware configurations
or if patches were applied manually to the source code before a
recompile and reinstall.

See also :

http://xenbits.xen.org/xsa/advisory-248.html
https://xenbits.xen.org/gitweb/?p=xen.git;a=summary

Solution :

Apply the appropriate patch according to the vendor advisory.

Risk factor :

Medium / CVSS Base Score : 6.9
(CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 5.1
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: Misc.

Nessus Plugin ID: 105490 ()

Bugtraq ID:

CVE ID: CVE-2017-17566

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now